<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        // Trebuie să folosim DB::statement pentru a schimba tipul coloanei
        DB::statement('ALTER TABLE dns_zones MODIFY allocated_nameservers JSON NULL');
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::statement('ALTER TABLE dns_zones MODIFY allocated_nameservers LONGTEXT NULL');
    }
};
